/*
	Παρατηρείστε πως ο compiler παραπονείται (σωστά) για τη χρήση
	των μεταβλητών b, c, d πριν αυτές αρχικοποιηθούν.
	Μεταβλητές που δεν έχουν αρχικοποιηθεί δεν πρέπει να χρησιμο-
	ποιούνται. Το παράδειγμα δείχνει τι περιέχεται στις θέσεις 
	μνήμης μεταβλητών που δεν έχουν αρχικοποιηθεί.
*/
#include <stdio.h>

int main(int argc, char *argv[]) {
	char a, b, c; 
	unsigned char d;

	a = 'a';		/* a γίνεται   01100001 */
	printf("a = 0x%x, b = 0x%x, c = 0x%x, d = 0x%x\n", a, b, c, d);

	b = 'b';		/* b γίνεται   01100010 */
	printf("a = 0x%x, b = 0x%x, c = 0x%x, d = 0x%x\n", a, b, c, d);

	c = a|b;		/* c γίνεται   01100011 */
	printf("a = 0x%x, b = 0x%x, c = 0x%x, d = 0x%x\n", a, b, c, d);

	c = a&b;		/* c γίνεται   01100000 */
	printf("a = 0x%x, b = 0x%x, c = 0x%x, d = 0x%x\n", a, b, c, d);

	c = a^b;  		/* c γίνεται   00000011 */
	printf("a = 0x%x, b = 0x%x, c = 0x%x, d = 0x%x\n", a, b, c, d);

	d = c = ~a;		/* d,c γίνεται 10011110 */
	printf("a = 0x%x, b = 0x%x, c = 0x%x, d = 0x%x\n", a, b, c, d);    

	d = d>>3;		/* d γίνεται 00010011 */
	printf("a = 0x%x, b = 0x%x, c = 0x%x, d = 0x%x\n", a, b, c, d);

	c = c>>3;		/* c γίνεται 11110011 */
	printf("a = 0x%x, b = 0x%x, c = 0x%x, d = 0x%x\n", a, b, c, d);

	return(0);
}

